* {


	margin: 0;
	padding:  0;
	box-sizing: border-box;
}


.flex-container{
	background-color: lightgray;
	height: 300px;

	display: flex;

	/*flex-direction: row;*/ /*default direction*/
	/*flex-direction:	column;*/
	/*flex-direction:  column-reverse;*/

	/*justify-content value*/
	/*justify-content: flex-start;*/ /*default justify*/
	/*justify-content: flex-end;*/
	/*justify-content: center;*/
	/*justify-content: space-between;*/
	/*justify-content: space-around;*/
	justify-content: space-evenly;


	/*align-items: stretch;*/    /*default align*/
	/*align-items:  value;*/
	/*align-items: flex-start; */
	/*align-items: flex-end;*/
	align-items: center;
	

	/*flex-wrap: nowrap;*/     /*default wrap*/
	flex-wrap: wrap;
	/*	flex-wrap: wrap-reverse;*/

	/*	align-content: flex-start;*/
	align-content: space-around;          /*default wrap*/

}










/*Flex Properties - We will use flex properties to manipulate children elements*/

.flex-container div {
	width: 150px;
	background-color: lightblue;
	border: 1px solid	black;
	color: whitesmoke;
	align-items: center;
}



